Subject: [Roll] Intention of draft-zhang-roll-rpl-intrusion-defence-00

From: Ines Robles <[email-masked]>
Date: Mon, 17 Mar 2014 13:10:45 -0300

*Hello Lan Zhang, Gang Feng and Shuang Qin, We would like to know please,
what the author's intend for this document? How it would fit into the
charter? Do we need re-chartering of ROLL? Please bring up any comments,
questions, topics that you desire to discuss into the mailing list, We
would like to know please the opinion of the WG about this draft Thank you
and Kind Regards, Michael & Ines.*

2014-01-05 11:31 GMT-03:00 Ines Robles <[email-masked]>:

> Hello,
>
> Thanks for your comments.
>
> My comments below,
>
> 2014/1/2 Feng Gang <[email-masked]>
>
>>
>> Thank you for your response. We are not quite sure if we can understand
>> your questions well.
>>
> I apologize if I was not clear, the idea was to ask how this draft is
> aligned with roll charter. For example in the charter a work item is:
>
> - Specification of routing metrics used in path calculation. This
> includes static and dynamic link/node attributes required for routing in
> LLNs. --> To satisfy this item, the RFC 6551 was produced.
>
> In case that it is not aligned with the charter, we should re-chartering.
>
>>
>> Our main purpose of submitting this document is to seek possibility that
>> our proposal is meaningful in ROLL. We wonder if the document can be
>> "standard track" or "informational".
>>
>
> Maybe experimental [BCP9 <http://tools.ietf.org/html/bcp9#section-4.2.1>],
> anyway I’m going to discuss with Michael about that.
>
>>
>> We have studied draft-ietf-roll-security-threats-06 and will mention it
>> in the next update. We have implemented our design of IDS to detect ETX
>> intrusion in Contiki OS, Sky platform and validated its effectiveness.
>>
> That is great,  do you have some academic papers about it.
>
> Thank you in advance,
>
>  Kind Regards,
>
> Ines Robles
>
>>
>> Kind regards,
>>
>>
>> Lan Zhang, Gang Feng and Shuang Qin
>>
>>
>>
>>
>>
>> 2014-01-03
>> ------------------------------
>>  Feng Gang
>> ------------------------------
>> *发件人：* Ines Robles
>> *发送时间：* 2014-01-01  17:37:16
>> *收件人：* zhanglan_uestc; fenggang; blueqs
>> *抄送：* Michael Richardson; roll
>> *主题：* draft-zhang-roll-rpl-intrusion-defence-00
>>
>> Hello Lan Zhang, Gang Feng and Shuang Qin
>>
>> Thank you for this draft,
>> https://datatracker.ietf.org/doc/draft-zhang-roll-rpl-intrusion-defence/,
>> which was posted on November 2013:
>>
>>
>> --------------------------------------------------------------------------------------------------------------------------
>>
>> Abstract:
>>       This document specifies intrusion detection systems (IDSs) as the
>>       second line of defence, to secure the Routing Protocol for
>> Low-power
>>       and Lossy Networks (RPL).
>>
>>
>> ----------------------------------------------------------------------------------------------------------------------------
>>
>> We would like to know please, what the author's intend for this document?
>> How it would fit into the charter? Do we need re-chartering of ROLL?
>>
>> I think the draft should mention draft-ietf-roll-security-threats-06. I
>> found interesting the design of IDS for ETX intrusion detection. Do you
>> know if there is some implementations of it?
>>
>> Thank you very much in advance,
>> Kind Regards,
>>
>> Ines Robles
>>
>
>